> For the complete documentation index, see [llms.txt](https://docs.justaname.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.justaname.id/sdk-reference/justaname-react-sdk/functions/userejectsubname.md).

# useRejectSubname

A React hook for rejecting subname invitations.

***

## Usage

```typescript
import { useRejectSubname } from '@justaname.id/react'

function RejectSubnameComponent() {
  const { rejectSubname, isRejectSubnamePending } = useRejectSubname()
  
  const handleReject = async () => {
    try {
      await rejectSubname({
        ens: 'alice.justaname.eth',
        chainId: 1
      })
    } catch (err) {
      console.error('Failed to reject subname:', err)
    }
  }
  
  return (
    <button onClick={handleReject} disabled={isRejectSubnamePending}>
      {isRejectSubnamePending ? 'Rejecting...' : 'Reject Subname'}
    </button>
  )
}
```

***

## Returns

An object containing:

* `rejectSubname`: Function to reject a subname invitation
* `isRejectSubnamePending`: Boolean indicating if the rejection is in progress

## Parameters

Optional parameters:

* `chainId?`: The chain ID to use (optional, defaults to provider chain ID)

## Reject Function Parameters

The `rejectSubname` function accepts:

* `ens`: The full ENS name to reject (e.g., 'alice.justaname.eth')
* `chainId?`: The chain ID (optional, defaults to provider chain ID)

## Defined in

[packages/@justaname.id/react/src/lib/hooks/subname/useRejectSubname.ts:32](https://github.com/JustaName-id/JustaName-sdk/blob/dc845c10af242e3ca87d95ef392516ac0bfa8b95/packages/@justaname.id/react/src/lib/hooks/subname/useRejectSubname.ts#L32)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.justaname.id/sdk-reference/justaname-react-sdk/functions/userejectsubname.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
